Subject: [PATCH v2] arm64: Allow for different DMA and CPU bus offsets

From: [email-masked] (Alexander Graf)
Date: Wed, 18 May 2016 16:34:12 +0200

On 05/18/2016 04:26 PM, Catalin Marinas wrote:
> On Wed, May 18, 2016 at 03:49:17PM +0200, Alexander Graf wrote:
>> On 05/18/2016 03:27 PM, Catalin Marinas wrote:
>>> On Wed, May 18, 2016 at 02:53:30PM +0200, Alexander Graf wrote:
>>>> On arm64, all SoCs we supported so far either have an IOMMU or have bus
>>>> addresses equal to CPU addresses.
>>>>
>>>> However, with the Raspberry Pi 3 coming up, this is no longer true. To
>>>> allow DMA to work with an AArch64 kernel on those devices, let's allow
>>>> devices to have DMA offsets again.
>>>>
>>>> Signed-off-by: Alexander Graf <[email-masked]>
>>> We were aware about this issue but we've been waiting for an actual use
>>> case. I'll queue this for 4.8 (given that RPi3 is not supported by the
>>> arm64 kernel, I don't see the rush to merge it earlier).
>> Sure, works for me. That way Eric can try to push the other few bits
>> necessary to run an arm64 kernel on the RPi3 towards 4.8 as well :).
> As long as the firmware is PSCI capable ;)

So spin tables won't work for you? IIRC we don't own EL3 on there.

Alex